Eclipse SIGSEGVs in libpango

Bug #445009 reported by nh2 on 2009-10-06
314
This bug affects 58 people
Affects Status Importance Assigned to Milestone
Eclipse
Fix Released
Unknown
eclipse (Fedora)
Fix Released
High
eclipse (Ubuntu)
Medium
Unassigned
Karmic
Undecided
Unassigned
openjdk-6 (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

=============
BUG
=============
After having started Eclipse 3.5 on Karmic 32bit (openjdk-6-jre 6b16-1.6.1-1ubuntu2) and running it for some minutes, it terminates saying

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0xb7b62856, pid=24497, tid=3084424896
#
# JRE version: 6.0_15-b03
# Java VM: Java HotSpot(TM) Client VM (14.1-b02 mixed mode, sharing linux-x86 )
# Problematic frame:
# C [libpango-1.0.so.0+0x23856] pango_layout_new+0x36
#
# An error report file with more information is saved as:
# /home/niklas/hs_err_pid24497.log
[...]

Seems to be the bug in https://bugzilla.redhat.com/show_bug.cgi?id=522187 , but for the bug opener, the problem seems to be gone.
Please tell me if you need more information.

=============
WORKAROUND
=============
Disable assistive technologies:
System > Preferences > Assistive Technology Preferences > "Enable assistive technologies"

-OR-

Replace /usr/lib/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_3.5.1.v3555a.jar (rename it to .backup or something) with
32bit Ubuntu: http://launchpadlibrarian.net/36500083/org.eclipse.swt.gtk.linux.x86_3.5.1.v3555a.jar
64bit Ubuntu: http://launchpadlibrarian.net/36643806/org.eclipse.swt.gtk.linux.x86_64_3.5.1.v3555a.jar
(See comment 44 and 47 for more info)

Related branches

Eclipse 3.5 crashes. As I understand the problem is with java and libpango (pango_layout_new).

OS: Fedora 12 Alpha (last updated on 9.9.2009 from rawhide) (OS:Fedora release 11.91 (Rawhide))

Java: tried on many versions e.g. j2sdk1.4.2_19, jdk1.5.0_20, jdk1.6.0_16 and even jdk1.7.0M4 (7.0 milestone 4).

To reproduce the problem open in Eclipse: Help -> Install New Software -> and just press "Cancel". What I get is:

(That was produced using java 7.0 M4 but as I wrote it can be reproduced using older java vesions too):

#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00e04059, pid=13953, tid=3086444224
#
# JRE version: 7.0-b66
# Java VM: Java HotSpot(TM) Client VM (16.0-b06 mixed mode, sharing linux-x86 )
# Problematic frame:
# C [libpango-1.0.so.0+0x23059] pango_layout_new+0x39
#
# An error report file with more information is saved as:
# /home/mel/hs_err_pid13953.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Created attachment 360285
the error attachement

Created attachment 360967
OpenJDK Client VM Droppings

I am seeing this using the current OpenJDK in Rawhide too about every quarter of an hour or so.

java-1.6.0-openjdk-devel-1.6.0.0-31.b16.fc12.i686
pango-1.25.5-1.fc12.i686

Its making Eclipse pretty unusable.

Created attachment 362472
error log, after crash.

I'm also experiencing those pango/java/crahs problems with eclipse. Also attaching a log.

CC'ing the Eclipse brothers to see if they know anything about this.

I saw this in my rawhide VM (been having a hard time installing it on bare metal) and was going to try to reproduce.

There's no way a legit crash can happen in pango_layout_new(). Here's the code for that function:

PangoLayout *
pango_layout_new (PangoContext *context)
{
  PangoLayout *layout;

  g_return_val_if_fail (context != NULL, NULL);

  layout = g_object_new (PANGO_TYPE_LAYOUT, NULL);

  layout->context = context;
  g_object_ref (context);

  return layout;
}

So, either context passed to it is NULL, or this is a memory corruption happening somewhere else. I can't do anything about it.

After updating to rawhide on 28.09.2009 I have not noticed previous behaviour since then. I cannot reproduce any more Java (Eclipse) crash with these new rpms.

Could you reproduce them reliably before that update ?

Tell me what do you need. I have been updating every day but I did not check every day if all is ok with Java and Eclipse. I am sure that before that update Eclipse crashed but after that update doing the same things as I described above does not crash Eclipse.

Sounds good to me. I'm sure you'll open another bug if it starts crashing again...

nh2 (nh2) wrote :
Matthias Klose (doko) wrote :

known problem with packages provided from eclipse.org. please use the one from the distribution (karmic)

tags: added: eclipse local-binary swt-gtk

I'm seeing this with pango-1.26.0-1.fc12 and gtk2-2.18.2-1.fc12 and eclipse-swt-3.5.0-2.fc12

Daniel (hackie) wrote :

Same problem, but slightly different software:

Eclipse is installed manually but up-to-date (3.5.1)

JRE version: 6.0_16-b01
# Java VM: Java HotSpot(TM) Client VM (14.2-b01 mixed mode, sharing linux-x86 )
(from package sun-java6-bin, version 6-16-0ubuntu1.9.04)

My question: WHY do i have to use eclipse from the distribution? There is nothing special to eclipse - it could also be every other SWT application...

libpango1.0-0, Version: 1.26.0-1

Also see strange behaviour when clicking buttons. Mostly they feel like i did not release the mouse button and then i have to press RETURN to start the action...

----

# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00d10856, pid=7497, tid=3078784704
#
# JRE version: 6.0_16-b01
# Java VM: Java HotSpot(TM) Client VM (14.2-b01 mixed mode, sharing linux-x86 )
# Problematic frame:
# C [libpango-1.0.so.0+0x23856] pango_layout_new+0x36

nh2 (nh2) wrote :

I also experience that button behaviour, but I think this is not related. Would you mind to create a bug report for that?

"it could also be every other SWT application" - ACK. If Eclipse is able to crash the JVM, every Java program could, right?

Daniel (hackie) wrote :

@nh2:
I see, you use openjdk 6. i use sun-java6-bin. and my eclipse is manually installed, so it uses only the standard dependencies from ubuntu. which package should I assign such a bug to?
I also see that eclipse process does not terminate anymore, but the all its windows and the profile lock were close correctly. system monitor tells futex_wait_queue_me.

And yes: I dont have any SWT testing application to check but i think it is a general problem.

I as Jeff am seeing this bug on the same versions. A good way to reproduce this bug is to try to create (java) project. It usually happens when you click finish:)

(In reply to comment #13)
> Can someone try whether
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1743496 fixes the problem?

It works for my scenario which was to go into the New Project menu, select a C/C++ GNU Autotools project type but hit cancel before doing anything. This works now with the 3.5.1 build.

That 3.5.1 build seems to be working for me too, nice one.

nh2 (nh2) wrote :

@Daniel:
You should create one bug for each problem (I see the futex_wait_queue_me, too) and assign it to the Eclipse package - if somebody knows that it belongs to another package, he will just change it.

By the way, I have these bugs with both OpenJDK and Sun's Java.

Daniel (hackie) wrote :

@nh2:
I see there are already bug reports, and workarounds for both too:
Termination: Bug #293849 & Bug #299828
Buttons: Bug #443004

it doesn't for me :
$ rpm -ql eclipse*
package eclipse* is not installed
[mstoikov@ltm ~]$ rpm -qa eclipse*
eclipse-subclipse-1.6.5-1.fc12.noarch
eclipse-swt-3.5.1-1.fc12.x86_64
eclipse-changelog-2.6.7-3.fc12.x86_64
eclipse-jdt-3.5.1-1.fc12.x86_64
eclipse-cdt-6.0.0-10.fc12.x86_64
eclipse-dtp-1.7.0-5.fc12.noarch
eclipse-valgrind-0.3.0-1.fc12.x86_64
eclipse-cdt-sdk-6.0.0-10.fc12.x86_64
eclipse-rse-3.1-2.fc12.noarch
eclipse-gef-3.5.0-3.fc12.noarch
eclipse-svnkit-1.3.0-1.fc12.noarch
eclipse-platform-3.5.1-1.fc12.x86_64
eclipse-linuxprofilingframework-0.3.0-2.fc12.x86_64
eclipse-rpmstubby-0.3.0-1.fc12.noarch
eclipse-birt-2.5-1.fc12.noarch
eclipse-emf-2.5.0-4.fc12.noarch
eclipse-pydev-1.4.7-3.fc12.x86_64
eclipse-rpm-editor-0.4.3-1.fc12.x86_64
eclipse-rcp-3.5.1-1.fc12.x86_64

$ rpm -qa *pango*
pango-1.26.0-1.fc12.i686
pangomm-2.26.0-1.fc12.x86_64
pango-1.26.0-1.fc12.x86_64
pango-devel-1.26.0-1.fc12.x86_64
ruby-pango-0.19.3-2.fc12.x86_64
pangomm-devel-2.26.0-1.fc12.x86_64

$ eclipse
#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x00007fc278920dfa, pid=4144, tid=140473951749904
#
# JRE version: 6.0-b16
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Distribution: Custom build (Thu Sep 10 17:06:47 EDT 2009)
# Problematic frame:
# C [libpango-1.0.so.0+0x24dfa] pango_layout_new+0x2a
#
# An error report file with more information is saved as:
# /home/mstoikov/hs_err_pid4144.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
# http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

The same way of testing this time the buttons didn't get highlighted and nothing happens but a second after I create the project and it shows in the left it crashes.And I am on x86_64

Created attachment 365116
the last log with 3.5.1

THis is the last log I get with 3.5.1

Oleksandr Iuzikov (oiuzikov) wrote :

Confirm. I have installed eclipse from repo. And it's not working with both OpenJDK and Sun's Java.

Matthias Klose (doko) wrote :

the vm crash report in comment #8 seems to be incomplete

Matthias Klose (doko) wrote :

% opt/eclipse3.5/eclipse

you should report this problem where you got this version

nh2 (nh2) wrote :

@ Matthias:
It's the current "Eclipse IDE for Java Developers" available on eclipse.org.
I've filed the bug against OpenJDK because I do not know how a Java program can crash its JVM - why could that happen?

On 18.10.2009 21:22, nh2 wrote:
> @ Matthias:
> It's the current "Eclipse IDE for Java Developers" available on eclipse.org.
> I've filed the bug against OpenJDK because I do not know how a Java program can crash its JVM - why could that happen?

native code as distributed by eclipse.org, especially swt-gtk, xul and the like.

nh2 (nh2) wrote :

On Sun, 2009-10-18 at 18:03 +0000, Matthias Klose wrote:
> the vm crash report in comment #8 seems to be incomplete
>
attaching another one...

nh2 (nh2) wrote :

This happens with Karmic's Eclipse package, too.

To reproduce:
sudo apt-get install eclipse
eclipse
Click Help -> Install new Software -> Cancel -> You get the SIGSEGV

This was discussed at the blocker review meeting today. As it seems clear this is a bug (or bugs) in Eclipse, not Pango or Java, we can't consider it a blocker for the final release, as it's not critical functionality and can just as easily be fixed as an update. Releng will accept a tag request to have a build included in F12 final to try and address these issues if you would like to do that, though.

--
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Guido Navalesi (eddiemolko) wrote :

This happens with Karmic 64bits too.
I've tried everything:
-Ubuntu's Eclipse package
-Install manually Eclipse
-Delete ~/.eclipse

And it's just like #15

*** Bug 531186 has been marked as a duplicate of this bug. ***

This puzzles me:

/home/mstoikov/.eclipse/793567567/configuration/org.eclipse.osgi/bundles/594/1/.cp/libswt-gnome-gtk-3555.so

The SWT .so files should be extracted into /usr/lib{,64}/eclipse and not get extracted (or re-extracted) at runtime.

Michael, did you happen to try with an eclipse.org download expanded into a read-only (to the running user) location at some point? Can you try to see if you can duplicate with a clean ~/.eclipse?

Ben, do you have any SWT .so files in ~/.eclipse?

Jim Hayward reports on fedora-devel-java-list [1]:

> I cannot reproduce that bug at all on a fully updated F12(rawhide) x86
> system. I don't currently have an x86_64 install to try. Eclipse 3.5.1
> has been working great since the dialog issue was fixed. I have been
> using 3.5.1 daily for Java/C/C++ projects with no issues at all.

I'm in the process on setting up an x86_64 system to see if I can track it down.

[1]
https://www.redhat.com/archives/fedora-devel-java-list/2009-October/msg00052.html

(In reply to comment #20)
> Ben, do you have any SWT .so files in ~/.eclipse?

No, the SWT shared libraries aren't in ~/.eclipse on my system.

I *finally* got rawhide x86_64 installed. So far, I can't duplicate the problem. I've tried adding the Pydev update site and it didn't crash (it didn't add the content but that's another issue :). I've also created and deleted a bunch of Java projects and haven't had any issues.

(In reply to comment #24)
> I *finally* got rawhide x86_64 installed. So far, I can't duplicate the
> problem. I've tried adding the Pydev update site and it didn't crash (it
> didn't add the content but that's another issue :). I've also created and
> deleted a bunch of Java projects and haven't had any issues.

Does the test case attached to the upstream Eclipse ticket work on Fedora?

(In reply to comment #24)
> I *finally* got rawhide x86_64 installed. So far, I can't duplicate the
> problem.

The crash happened for me on i686 so it may not be a 64-bit issue.

> I've tried adding the Pydev update site and it didn't crash (it
> didn't add the content but that's another issue :).

I had problems adding update sites too. Is there a bug report for this?

(In reply to comment #26)
> (In reply to comment #24)
> > I *finally* got rawhide x86_64 installed. So far, I can't duplicate the
> > problem.
>
> The crash happened for me on i686 so it may not be a 64-bit issue.

Odd.

> > I've tried adding the Pydev update site and it didn't crash (it
> > didn't add the content but that's another issue :).
>
> I had problems adding update sites too. Is there a bug report for this?

No, I'd appreciate you filing one. Thanks.

(In reply to comment #25)
> (In reply to comment #24)
> > I *finally* got rawhide x86_64 installed. So far, I can't duplicate the
> > problem. I've tried adding the Pydev update site and it didn't crash (it
> > didn't add the content but that's another issue :). I've also created and
> > deleted a bunch of Java projects and haven't had any issues.
>
>
> Does the test case attached to the upstream Eclipse ticket work on Fedora?

No. I've commented there. Thanks for pointing that out, Mat.

nh2 (nh2) wrote :

(Un)Fortunately, this does not happen on every system.
My Karmic Netbook sigsegvs while my Karmic Desktop does not.

Oleksandr Iuzikov (oiuzikov) wrote :

Does your netbook have intel video? I have this problem on my HP 530
laptop. Can someone try it on non-intel video environment, please?

On Sat, 2009-10-31 at 13:31 +0000, nh2 wrote:

> (Un)Fortunately, this does not happen on every system.
> My Karmic Netbook sigsegvs while my Karmic Desktop does not.
>

--
Oleksandr Iuzikov
TECHISLE.NET

GPGKEY: 3C2B0980

NKjoep (nkjoep) wrote :

This appen to me too.

I'm running sun jdk from karmik repo, ati radeon 3200, intel core 2 (sony notebook).

Eclipse crashes everytime i click a "cancel".

So you if you want to reproduce this, just: File -> Import -> click cancel.

And you'll get this:

# SIGSEGV (0xb) at pc=0x002bd856, pid=4776, tid=3078371008
#
# JRE version: 6.0_16-b01
# Java VM: Java HotSpot(TM) Client VM (14.2-b01 mixed mode, sharing linux-x86 )
# Problematic frame:
# C [libpango-1.0.so.0+0x23856] pango_layout_new+0x36

nh2 (nh2) wrote :

We found a workaround in Bug 460104.
Click System -> Preferences -> Assistive Technologies -> Untick first checkbox and re-login, Eclipse should work now.

nh2 (nh2) on 2009-11-02
affects: openjdk → eclipse
Changed in eclipse (Ubuntu):
status: New → Confirmed
nh2 (nh2) on 2009-11-02
Changed in openjdk-6 (Ubuntu):
status: New → Invalid
Changed in eclipse (Fedora):
status: Unknown → In Progress
Benjamin Drung (bdrung) on 2009-11-02
Changed in eclipse (Ubuntu):
importance: Undecided → Medium

See Ubuntu Bug 445009 (https://bugs.launchpad.net/bug/445009) for a possible workaround (turn of "Assistive Technologies").

Arlo (arlo-white) wrote :

Confirming that disabling Assistive Technologies prevents the pango crash. However, I still have the button interaction issue where I need to use the keyboard to press a button.

Dario Bertini (berdario) wrote :

@Arlo:

isn't it bug 442078 ?

it should already be fixed in the repository version...

as a workaround for my old manual eclipse install i created a shell script with this line:

export GDK_NATIVE_WINDOWS=true && ./eclipse

Krzysztof Kolasa (kkolasa) wrote :

thanks nh2 and Dario Bertini
Eclipse Galileo ( and 3.6XX) is working properly in Ubuntu 9.10 32bit after these tips :)

Neil Grogan (dueyfinster) wrote :

I don't have Assistive technologies in my Preferences, does anyone know how to get it?

Open (in a terminal or alt+f2) gnome-at-properties

Il giorno 04/nov/2009 23:01, "Neil Grogan" <email address hidden> ha scritto:

I don't have Assistive technologies in my Preferences, does anyone know
how to get it?

-- Eclipse SIGSEGVs in libpango https://bugs.launchpad.net/bugs/445009 You
received this bug notif...

Neil Grogan (dueyfinster) wrote :

Thanks, I also found:
$ gnome-control-panel

and then you can select and turn it off.

>Dario Bertini wrote R: [Bug 445009] Re: Eclipse SIGSEGVs in libpango #25
>Open (in a terminal or alt+f2) gnome-at-properties

Raivis Rengelis (raivisr) wrote :

turning off assistive technologies did not help me, eclipse (galileo SR1 from eclipse.org, not from repos) was still crashing when trying svn checkout (tigris.org subclipse plugin). The cure was as follows:
remove/rename libcairo-swt.so in eclipse folder to something that is not recognized as shared library, for example libcairo-swt.notsoso
apt-get install libswt-gtk-3.5-jni (i have karmic-proposed repos enabled so i got 3.5.1+repack~1-0ubuntu3 but it might work with earlier versions as well)
run eclipse and code away

Raivis Rengelis (raivisr) wrote :

apparently it did let me run checkout only once, now it crashes again :(

nh2 (nh2) wrote :

Can not confirm the workaround in #27 worked for me.
@Raivis: Did you restart your session after disabling assistive technologies?

Irios (irios) wrote :

The packages for Eclipse Galileo that are in Ubuntu's repositories (3.5.1+repack~1-0ubuntu1) do crash in Ubuntu, but do run in Kubuntu.

An example (that is not the only way of making Eclipse crash in Ubuntu in this way):

On Kubuntu:

Install Eclipse with K package manager or whatever.
Launch Eclipse
Click "Help" - "Install new software"
Setup Galileo repo
Select section "Programming Languages"
Select "Eclipse C/C++ Development Tools"
Click "Next" (Eclipse calculates dependencies, then shows you the packages you are going to install)
Click "Finish" (Eclipse downloads and installs CDT).

On Ubuntu:

Install Eclipse with Synaptic.
Launch Eclipse
Click "Help" - "Install new software"
Setup Galileo repo
Select section "Programming Languages"
Select "Eclipse C/C++ Development Tools"
Click "Next" (Eclipse calculates dependencies, then shows you the packages you are going to install)
Click "Finish" (Eclipse crashes and disappears).

If on Ubuntu Eclipse was launched from a console, at the moment it crashes you get this console output:

   #
   # A fatal error has been detected by the Java Runtime Environment:
   #
   # SIGSEGV (0xb) at pc=0x00277856, pid=6258, tid=3079112384
   #
   # JRE version: 6.0-b16
   # Java VM: OpenJDK Client VM (14.0-b16 mixed mode, sharing linux-x86 )
   # Distribution: Ubuntu karmic (development branch), package 6b16-1.6.1-1ubuntu3
   # Problematic frame:
   # C [libpango-1.0.so.0+0x23856] pango_layout_new+0x36
   #
   # An error report file with more information is saved as:
   # /home/nacho/hs_err_pid6258.log
   #
   # If you would like to submit a bug report, please include
   # instructions how to reproduce the bug and visit:
   # https://bugs.launchpad.net/ubuntu/+source/openjdk-6/
   # The crash happened outside the Java Virtual Machine in native code.
   # See problematic frame for where to report the bug.
   #
   Aborted

Pixie dust recipes that did not work:

* Install clean download from eclipse.org (same behavior)
* setting GDK_NATIVE_WINDOWS=1 before launching Ubuntu repo or eclipse.org version (same behavior)

I insist: It DOES work OK in Kubuntu.

07/nov/2009 18.31, Irios wrote:

> Pixie dust recipes that did not work:
>
> * Install clean download from eclipse.org (same behavior)
> * setting GDK_NATIVE_WINDOWS=1 before launching Ubuntu repo or eclipse.org
> version (same behavior)
>
> I insist: It DOES work OK in Kubuntu.
>

uhm, very interesting!

Does Kubuntu have "assistive technologies" ?

--
Andrea

Irios (irios) wrote :

Oh, I had missed the bit about relogging after disabling assistive technologies. I hereby confirm that disabling assistive technologies and relogging did make Eclipse work.

It is funny that it works out of the under Kubuntu, when it calls GTK just the same. I imagine GTK under Gnome does use Gnome libraries, and not only the other way around.

I can not turn off assistive tecnologies because I am blind and need to use eclipse with orca.
For while I'm using eclipse with windows. A solution would be welcome.
Thanks.

Now I cannot do checkout using Subversive plug-in. Turning "Assistive
Technologies" off does not help any more.

nh2 (nh2) wrote :

@ Oleksandr:
Could you tell us steps to reproduce?

To reproduce try the following steps:
1. Download and install eclipse 3.5.1 from http://www.eclipse.org
2. execute eclipse.
3. Press alt+h and chose install software.
4. press the cancel button.

Filippo De Luca (dl-filippo) wrote :

Hi I use the GDK_NATIVE_WINDOWS but it does not resolve the issue for me.

When I do an SVN update or commit, the eclipse GUI freeze and become blue with no interaction possible. It happen no every times but 50% of the times.

I think it is due to credential dialog but I'm not sure of this.

Anyone has my same issue?

nh2 (nh2) wrote :

@ Jose: This is clear to me, but it seems that Oleksandr's Eclipse crashes only on Subversive checkouts and not on the original bug on cancel buttons.
@ Oleksandr: Is this right?

Filippo De Luca (dl-filippo) wrote :

Hi, I solved my bug on #37 by use SvnKit instead of javaHL.

Jaromir Obr (jaromir-obr) wrote :

Another steps to reproduce:
1) Run Eclipse
2) Go to "Window -> Preferences -> General -> Keys"
3) Click on "Cancel" - Eclipse crashes
Disabling gnome assistive technologies helped me.

Used SW:
Ubuntu 9.10, amd64
Eclipse 3.5.1

Oleksandr Iuzikov (oiuzikov) wrote :

On Sun, 2009-11-15 at 17:24 +0000, nh2 wrote:

> @ Oleksandr:
> Could you tell us steps to reproduce?
>
>
     1. I set up a new repository using Subversive SVN perspective.
     2. The new repository appeared in the "SVN Repositories" view.
     3. When I want to expand it (tree-like gui component) it
        immediately crashes.

On Mon, 2009-11-16 at 12:35 +0000, nh2 wrote:

> @ Jose: This is clear to me, but it seems that Oleksandr's Eclipse crashes only on Subversive checkouts and not on the original bug on cancel buttons.
> @ Oleksandr: Is this right?
>

In my opinion it's more related to GUI components rendering (tree view for example).

Since the bug seems to be related to assistive technologies, I wrote to Li Yuan, the person responsable to maintaining the at-spi.
I received the following reply:

------
From the trace, I don't find any accessibility code. Although it is not a complete trace, it would be great if we can get the full trace.
------

Is it possible to generate a full trace? What steps?
Thanks.

It seems to be a fix to this bug. I didn't try yet.
https://bugs.eclipse.org/bugs/show_bug.cgi?id=291128

nh2 (nh2) wrote :

As described above, a patch has been created in the upstream bug.
I have created an SWT jar using it.
Place it into your Eclipse 3.5.1 "plugin" directory and your crashes should stop.
Please report back if it works.

Benjamin Drung (bdrung) on 2009-12-06
Changed in eclipse (Ubuntu):
status: Confirmed → Triaged

Perhaps I am doing something wrong.
sudo apt-get install eclipse
cp -i org.eclipse.swt.gtk.linux.x86_3.5.1.v3555a.jar /usr/lib/eclipse/plugins/

The crash persists.
I am running eclipse in a 64-bit environment, may be the difference?
I gave a try in eclipse 3.6 I20091204 and no crash.

Niels Thykier (niels-thykier) wrote :

Hi

The jar file attached by nh2 only works for x86 machines - amd64 needs a different one. Nevertheless, we will look into backporting the patch for this problem from eclipse 3.6 - I hope (but cannot promise) that we can get it backported to Karmic (or into proposed-updates)

~Niels

nh2 (nh2) wrote :

Here is a jar for 64 bit.
Please try if it works and make a backup of your original one before - I cannot test it because I have no 64 bit system available here.

Works fine with file attached in coment 47.
I'll try more tests.

*** Bug 547557 has been marked as a duplicate of this bug. ***

Quick note after looking briefly at the discussion above and the pending needinfo: I can reproduce the duplicate on bug 547557 on x86 and after having moved .eclipse away.

Jarkko Lietolahti (jarkko-jab) wrote :

From I noticed that if GTK_MODULES contains "atk-bridge" eclipse keeps crashing.

Default GTK_MODULES:
jarkko@sentti:~/dev/eclipse$ !echo
echo $GTK_MODULES
canberra-gtk-module:gail:atk-bridge

My eclipse startup script, which doesn't crash eclipse:
jarkko@sentti:~/dev/eclipse$ cat eclipse
#!/bin/sh

echo https://bugs.edge.launchpad.net/ubuntu/+source/eclipse/+bug/458703
export GDK_NATIVE_WINDOWS=1
echo https://bugzilla.gnome.org/show_bug.cgi?id=546542
export GTK_MODULES="canberra-gtk-module:gail"

~/dev/eclipse/eclipse.bin $0

Notice that eclipse.bin reads eclipse.bin.ini (not the default eclipse.ini). Also empty (GTK_MODULES="") works also.

I'm building some updated RPMs with a patch for this issue back-ported from
upstream:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1887104

If anyone can give those a shot with accessibility enabled and see if there are
still crasher bugs, I'd appreciate it.

I think bug #547056 is a dupe of this one.

Oops, there was an issue with my SRPM. Here's a better koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1887224

Re testing eclipse-*-3.5.1-27.fc13:

On f12 it also needs a new jetty. I tried with the one from http://koji.fedoraproject.org/koji/buildinfo?buildID=144142

It seems like the f12 pydev doesn't work with the new eclipse builds? I can only reproduce the crash with pydev.

I'm having the same problems as Mads - pydev is not working with 3.5.1-27.f13 and I needed to install a new version of jetty to get this eclipse version to install on f12. I see this problem with accessibility on and off.

description: updated
description: updated

I'll try to get an F-12 build with these fixes.

Please try the RPMs from this koji build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1901359

You'll have to click the link for your architecture (i686 or x86_64, for example) and then download all the RPMs listed at the bottom of that page. Upgrade your existing package with something like:

# rpm -Uvh eclipse*3.5.1-22*.rpm

It fixes the "open update manager, click cancel -> crash" bug for me. I'd appreciate more feedback. Thanks.

*** Bug 553256 has been marked as a duplicate of this bug. ***

Sorry, I'am on the CC list but did not receive any updates on this bug.

The koji build does not solve the problem for me.

I meant: It _does_ solve this problem.

eclipse-3.5.1-22.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/eclipse-3.5.1-22.fc12

Thanks, Fabian.

All: I've proposed a Bodhi update and would appreciate you providing feedback in the form of a comment and karma there:

https://admin.fedoraproject.org/updates/eclipse-3.5.1-22.fc12

Note that you must be logged in with your Fedora account for the karma to get logged with the +3 required to push the update.

oliford (oliford) wrote :

I am also seeing this crash in Xubuntu 9.10 Karmic on my laptop (amd64 HP nc6320 with intel 945GM graphics) but not on my desktop (also amd64 but with nVidia 9500GT graphics). Other than the graphics drivers, the two systems are setup with the same software.

I have installed eclipse from the apt repository so the GDK_NATIVE_WINDOWS workaround is in place and the buttons all work fine.

Xubuntu appears to not have the assistive technologies at all, so I can't turn it off (the package at-api is not installed).

I have subclipse 1.6.5 installed OK and the javaHL is working. Some of the subclipse functionality works but checkouts fairly reliably cause a libpango crash similar to above on the laptop only. I think I have seen it work occasionally when I haven't changed anything, but usually it does crash.

I have tried renaming libcairo-swt and using the 64-bit org.eclipse.swt.gtk.linux.x86_64_3.5.1.v3555a.jar from #47, neither has any effect.

eclipse-3.5.1-22.fc12 has been pushed to the Fedora 12 testing repository. If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with
 su -c 'yum --enablerepo=updates-testing update eclipse'. You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0353

Changed in eclipse (Fedora):
status: In Progress → Fix Committed
nh2 (nh2) wrote :

Will most probably be fixed in Eclipse 3.5.2.

oliford (oliford) wrote :

The fix suggested in #3 of https://bugs.launchpad.net/ubuntu/+source/openjdk-6/+bug/500776, (marked as a duplicate of this) does not help for me.

It says that the pango crash is due to a bug in libglib2.0-0 version 2.22.3-0ubuntu1 and suggests downgrading it to 2.22.2-0ubuntu1.

The libpango crash after running subclipse update remains the same here so this does not appear to be the case.

Marcin Cinik (marcin-cinik) wrote :

As You suggested I've downloaded Eclipse 3.5.2 RC1. The problem still occurs.

thinkpad /my2/download $ /usr/local/eclipse-SDK-3.5.2RC1-linux-gtk-x86_64/eclipse
# An unexpected error has been detected by HotSpot Virtual Machine:
#
# SIGSEGV (0xb) at pc=0x00007f101c20a5a3, pid=5326, tid=139707170129648
#
# Java VM: Java HotSpot(TM) 64-Bit Server VM (1.5.0_16-b02 mixed mode)
# Problematic frame:
# C [ld-linux-x86-64.so.2+0xb5a3]
#
# An error report file with more information is saved as hs_err_pid5326.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#

Marcin Cinik (marcin-cinik) wrote :

Ahh, and I forgot to mention that downgrade of libglib-2.0-0 from v 2.22.3-0ubuntu1 to v 2.22.2-0ubuntu1 did not help anyway. Previous versions of stable ganymede and galileo also crash after just few minutes after startup and usage.
Is there anybody who could just debug the problem and close this bug request ?

M

Niels Thykier (niels-thykier) wrote :

Hi

We imported a patch from Fedora and expect this issue to be fixed with the next upload.

~Niels

Changed in eclipse (Ubuntu):
status: Triaged → Fix Committed

eclipse-3.5.1-22.fc12 has been pushed to the Fedora 12 stable repository. If problems still persist, please make note of it in this bug report.

It works for me and it had for maybe two months I obviously forgot to reported it. But I'm using rawhide and current version is 3.5.1-28.fc13.x86_64. And From the timestamp on .eclipse I have tried the 'move .eclipse folder' move more then a month before my post. Thanks for the good work :)

Marcin Cinik (marcin-cinik) wrote :

Hi!

Thanks for Your efforts!
Could You please clarify if I should download new eclipse from eclipse.org or just run KPackageKit to download a patch You were speaking about in a previous post ? Would You be so kind and describe little closer what was the core of the problem ?

M

Niels Thykier (niels-thykier) wrote :

Hi

What I meant is that we have imported a patch from Fedora to our source repository and with our next build/upload to Ubuntu, this bug should be dealt with and you will then be able to download a patched version of eclipse via KPackageKit. I am unsure if the packages from eclipse.org has been fixed - the fix is scheduled for their 3.5.2 release, but I do not if it made it into the RC2 released recently.

So, unless 3.5.2RC2 contains the fix, I guess the answer is to wait a bit. I am guessing your next question will be "when will the patched eclipse be available?". I do not know yet, I will have a chat with Benjamin about it.

As for the core of the problem: From what I can tell (by looking at the patch), it seems that a NullPointerException in some java code caused it. I think (but I honestly do not know) that the error was incorrectly reported as being in libpango. I admit that I have not been paying too much attention to the actual cause for it (I only looked for the patch). If you want the full story, I can recommend reading the eclipse bug linked from here - it may even know if eclipse 3.5.2RC2 contains the fix.

~Niels

Anand (anand243244) on 2010-01-30
Changed in eclipse (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eclipse - 3.5.1+repack~3-0ubuntu2

---------------
eclipse (3.5.1+repack~3-0ubuntu2) lucid; urgency=low

  * Rebase to packaging from pkg-java/eclipse (thanks to Niels Thykier):
    + Set a sane file limit for osgi-bundles. (Closes: #558693, LP: #293573)
    + Inject update sites on first run. (LP: #460944)
    + Prevent conflict with swt-gtk's swt packages.
      - Rename our swt packages.
      - Do not install conflicting symlinks/files.
      (Closes: #541638, LP: #491880)
    + Imported patch from Fedora that fixes seg. faults in libpango.
      (LP: #445009)
    + Update manpage. (LP: #494065)
    + Bump Standards-Version to 3.8.4.
  * Re-add versioned dependency on libcommons-el-java, libjetty-java,
    libservlet2.4-java; the packages are now available in Ubuntu.
  * Drop versioned dependency on liblucene2-java and libmx4j-java; they are not
    yet available in Ubuntu.
 -- Benjamin Drung <email address hidden> Sat, 30 Jan 2010 18:55:04 +0100

Changed in eclipse (Ubuntu):
status: Fix Committed → Fix Released
oliford (oliford) wrote :

This version has not fixed the issue for me.

I installed with dpkg all of eclipse-*_3.5.1+repack~3-0ubuntu2_amd64.deb from here:
https://launchpad.net/ubuntu/lucid/+source/eclipse/3.5.1+repack~3-0ubuntu2.

I had to temporarily shift my source.list to the lucid repo (in karmic) to allow all the other dependancies (libcommons-stuff etc) to upgrade accordingly.

The libpango crash still occurs when trying to run subclipse update.

oliford (oliford) wrote :

This is more irratic now.

After a few times restarting eclipse and attempting subclipse update.
- Twice I've had libpango crash as before.
- Three times it just gives lots of NullPointerException under org.eclipse.swt.widgets.Display.fixedSizeAllocateProc(Display.java:1281).
- Three times eclipse has just frozen.
- Once I've just had "Fatal IO error 11 (Resource temporarily unavaliable) on X server :0.0"

I would suggest that there might be a bug in subclipse itself, since it also uses native code (javahl), but the NullPointerException seems to occur through subclipse's use of swt, not through any calls to SVN.

My desktop machine (same version and setup of everything) has never failed to work under heavy use, the laptop meanwhile has never worked once. I'm at a loss as to how to investigate further. Anything I can try?

nh2 (nh2) wrote :

Using Subversive, one can switch between JavaHL and SVNKit as SVN implementation.
If this is possible in Subclipse, too, you could try SVNKit and see if it changes some of your errors.
This is of course not related to your SWT problem.

Niels Thykier (niels-thykier) wrote :

Hi oliford

Could you please attach your crash log (should be named something like hs_err_pid<number>.log) with the new eclipse ?

~Niels

oliford (oliford) wrote :

Log for libpango crash on Subclipse update.

This was using the eclipse packages from the main lucid repository.

$ apt-cache policy eclipse-platform
eclipse-platform:
  Installed: 3.5.1+repack~3-0ubuntu2
  Candidate: 3.5.1+repack~3-0ubuntu2
  Version table:
 *** 3.5.1+repack~3-0ubuntu2 0
        500 http://gb.archive.ubuntu.com lucid/universe Packages
        100 /var/lib/dpkg/status

Niels Thykier (niels-thykier) wrote :

Hi again

Your problem is that eclipse have extracted (one of) its swt libraries into your home folders; which means it is still using the old defective version rather than our patched version.

Try deleing
/home/oliford/.eclipse/org.eclipse.platform_3.5.0_155965261/configuration/org.eclipse.osgi/bundles/144/1/.cp/libswt-cairo-gtk-3555.so

if that does not work, try to rename (or delete) ~/.eclipse. If you can still reproduce it after the removal/rename of ~/.eclipse, please provide the new log.

Thank you in advance,
~Niels

oliford (oliford) wrote :

Ok, I decided it would be best to go for the full:
rm -r ~/.eclipse
sudo apt-get --purge remove eclipse eclipse-platform eclipse-platform-data eclipse-...
sudo apt-get autoremove
(That also got rid of libswt-gtk-3.5-java, which never came back)

sudo apt-get install eclipse

Starting eclipse at this point gave me "java.lang.NoClassDefFoundError: org/eclipse/core/runtime/adaptor/EclipseStarter" and I had to --purge remove and reinstall libequinox-osgi-java to fix that.

Eclipse now ran again, but still crashes on subclipse update. Log attached.

Thanks

oliford (oliford) wrote :

Just to rule one more thing out...

You might notice my options also include a -Djava.library.path=/usr/lib/jni. It is there so subclipse can find libjavahl.

That directory also contained some libswt-... stuff so I tried copying the libjavahl to elsewhere and changing the option to that dir incase it was causing problems but it doesn't stop the crash.

Karmic 64 bit here too, same crash.

Turning off Assistive Technologies did NOT fix this for me.

export GDK_NATIVE_WINDOWS=true
./eclipse

does work for me (fix care of http://ubuntu-virginia.ubuntuforums.org/showpost.php?p=8145665&postcount=3)

Jeff Lane (bladernr) wrote :

^^^^ did not work for me. Karmic 64 bit and the following:

bladernr@klaatu:~$ apt-cache policy eclipse-platform
eclipse-platform:
  Installed: 3.5.1+repack~1-0ubuntu3
  Candidate: 3.5.1+repack~1-0ubuntu3

This is quite annoying, really. And I'm not even using Eclipse for Java coding... I'm using it for Python :(

Jeff Lane (bladernr) wrote :

Bollocks. I also tried Niels suggestion in #64. I moved .eclipse and started eclipse. It launched, and as soon as I tried installing pydev, java crashed.

New crash attached...

Niels Thykier (niels-thykier) wrote :

Hi Jeff Lane

The reason why you are seeing this issue is because the bug has been fixed in lucid but not karmic. We will attempt to back-port it to karmic-updates.

jknight: if that work-around works, then you are not using eclipse from Ubuntu (because it sets this variable for you already).

oliford: I am afraid I do not have any news for you on why this is happening - maybe the patch we got is only partial, maybe the svn plugin is broken. Have you tried the alternative svn implementation? The SVNKit or whatever it is called?

~Niels

oliford (oliford) wrote :

Iirc, I did try the java SVNkit and the crash occured exactly the same.

The lucid eclipse was also occasionally crashing when I wasn't doing anything with subclipse, so I've now rolled my laptop all the way back to Jaunty (and am putting up with other bugs instead).

I have a spare partition on the laptop so will try lucid and eclipse again whenever any new updates or ideas get mentioned on here.

Thanks for your efforts,
oliford

zenith (karlcron) wrote :

Cannot checkout svn projects using subclipse (it crashes on downloading project info), cannot update/install plugin software (crashes after clicking cancel or install). Just about anytime a pop-up window gives you the option to cancel (like creating a new project), eclipse crashes. Disabling assistive technologies didn't work. Installing the jar listed above does not help. Running ubuntu karmic on a dell laptop.

Richard Huddleston (rhuddusa) wrote :

@zenith

i'm too seeing this in eclipse subversion commit dialogs

Linux box05 2.6.32-02063209-generic #02063209 SMP Wed Feb 24 10:09:53 UTC 2010 x86_64 GNU/Linux

java version "1.6.0_18"
Java(TM) SE Runtime Environment (build 1.6.0_18-b07)
Java HotSpot(TM) 64-Bit Server VM (build 16.0-b13, mixed mode)

zenith (karlcron) wrote :

I don't know what changed, but it's working perfectly now. I ran the following updates and now everything seems to be working perfectly:

# apt-get update
# apt-get upgrade
# apt-get dist-upgrade

oliford (oliford) wrote :

I've made a fresh install of lucid beta1 with eclipse and subclipse.

It did freeze (but not crash) the first time I tried to update with subclipse but on the second attempt and every attempt since, it has worked perfectly. No signs of the libpango crash so this bug is fixed from my point of view.

Thanks everyone,

oliford

Allard Hoeve (allard) wrote :

The problem is easily reproduced when one tries to add software sources like so:

http://wiki.eclipse.org/PDT/Installation#Eclipse_3.5_.2F_Galileo_.2F_PDT_2.2

After saving the config, eclipse crashes.

I've attached the logfile.

Thanks

Allard Hoeve (allard) wrote :

The problem went away when I disabled assistive technology: System -> Preferences -> Assistive Technology -> Uncheck the checkboxes, logout, login. Problem solved.

Changed in eclipse:
status: Unknown → Fix Released
Richard Huddleston (rhuddusa) wrote :

@Allard Hoeve

I've been experiencing this problem and never had any of the Assistive Technology options enabled.

jbatista (jmnbatista) wrote :
Download full text (10.7 KiB)

I'm running eclipse installed from the Ubuntu Karmic repository, along with OpenJDK, on an Asus EeePC 1000H.
I happened to click Window -> Preferences -> OK on eclipse, and it produced these two consecutive errors in an error report within the IDE (see below):

eclipse.buildId=M20090917-0800
java.version=1.6.0_15
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=pt_PT
Command-line arguments: -os linux -ws gtk -arch x86 -clean

Error
Wed Apr 14 21:49:56 WEST 2010
Problems occurred when invoking code from plug-in: "org.eclipse.jface".

org.eclipse.swt.SWTException: Widget is disposed
at org.eclipse.swt.SWT.error(SWT.java:3884)
at org.eclipse.swt.SWT.error(SWT.java:3799)
at org.eclipse.swt.SWT.error(SWT.java:3770)
at org.eclipse.swt.widgets.Widget.error(Widget.java:450)
at org.eclipse.swt.widgets.Widget.checkWidget(Widget.java:388)
at org.eclipse.swt.widgets.Text.getText(Text.java:963)
at org.eclipse.ui.dialogs.FilteredTree$3.getName(FilteredTree.java:630)
at org.eclipse.swt.accessibility.AccessibleObject.atkObject_get_name(AccessibleObject.java:395)
at org.eclipse.swt.internal.gtk.OS._gtk_widget_destroy(Native Method)
at org.eclipse.swt.internal.gtk.OS.gtk_widget_destroy(OS.java:11939)
at org.eclipse.swt.widgets.Widget.destroyWidget(Widget.java:412)
at org.eclipse.swt.widgets.Widget.release(Widget.java:1054)
at org.eclipse.swt.widgets.Control.release(Control.java:3293)
at org.eclipse.swt.widgets.Widget.dispose(Widget.java:446)
at org.eclipse.swt.widgets.Shell.dispose(Shell.java:1999)
at org.eclipse.jface.window.Window.close(Window.java:335)
at org.eclipse.jface.dialogs.Dialog.close(Dialog.java:979)
at org.eclipse.jface.dialogs.TrayDialog.close(TrayDialog.java:179)
at org.eclipse.jface.preference.PreferenceDialog.close(PreferenceDialog.java:317)
at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.close(FilteredPreferenceDialog.java:702)
at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.close(WorkbenchPreferenceDialog.java:145)
at org.eclipse.jface.preference.PreferenceDialog$13.run(PreferenceDialog.java:986)
at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
at org.eclipse.core.runtime.Platform.run(Platform.java:895)
at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:48)
at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:175)
at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:944)
at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:453)
at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:169)
at org.eclipse.jface.preference.PreferenceDialog.buttonPressed(PreferenceDialog.java:233)
at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:624)
at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:228)
at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1176)
at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3493)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3112)
at org.eclipse.jface.window.Window.runEve...

jbatista (jmnbatista) wrote :

Update:
Turning off Assistive Technologies (gnome-control-center) did solved the SIGSEGV problem.
(I tried running a eclipse -clean before turning off the A.T.).

jbatista (jmnbatista) wrote :
Download full text (7.5 KiB)

Update 2:
I appologize for spamming the thread with comments. I spoke a little too soon: turning off Assistive Technologies did *NOT* solve the problem. (It merely seemed to prevent a crash on another window.)

So in essence, Eclipse crashes when hitting Cancel on the "Help -> Install new software" menu.
(BTW, with other windows such as File -> Open the decorations seem to be native from the desktop. I suppose this is on purpose.)

Anyway, below is a run done with gdb. A lot of the SIGSEGV do not manifest when running "normally"; a few of them don't seem to show up when doing export GDK_NATIVE_WINDOWS=true before running the gdb session.

jbatista@karmic:~$ gdb /usr/lib/eclipse/eclipse
GNU gdb (GDB) 7.0-ubuntu
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/lib/eclipse/eclipse...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/lib/eclipse/eclipse
[Thread debugging using libthread_db enabled]
Executing new program: /usr/lib/eclipse/eclipse
[Thread debugging using libthread_db enabled]
[New Thread 0xb7bb5b70 (LWP 8967)]
[New Thread 0xb7b34b70 (LWP 8968)]
[New Thread 0xb7ae3b70 (LWP 8969)]
[New Thread 0xb7a92b70 (LWP 8970)]
[New Thread 0xb7a41b70 (LWP 8971)]
[New Thread 0xb79c0b70 (LWP 8972)]
[New Thread 0xb796fb70 (LWP 8973)]
[New Thread 0xb78ddb70 (LWP 8974)]
[New Thread 0xb788cb70 (LWP 8975)]
[New Thread 0xb76ffb70 (LWP 8976)]
[New Thread 0xb768eb70 (LWP 8977)]
[New Thread 0xb763db70 (LWP 8978)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb788cb70 (LWP 8975)]
0x019a123b in ?? ()
(gdb) cont
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x019c5352 in ?? ()
(gdb) cont
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0x019992ad in ?? ()
(gdb) cont
Continuing.
[New Thread 0xb75e9b70 (LWP 8979)]
[New Thread 0xb7598b70 (LWP 8980)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb75e9b70 (LWP 8979)]
0x01202461 in ?? () from /usr/lib/jvm/java-6-openjdk/jre/bin/../lib/i386/client/libjvm.so
(gdb) cont
Continuing.

(eclipse:8955): GLib-WARNING **: g_set_prgname() called multiple times
[Thread 0xb75e9b70 (LWP 8979) exited]

[New Thread 0xb75e9b70 (LWP 8981)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7a41b70 (LWP 8971)]
0x01107999 in ?? () from /usr/lib/jvm/java-6-openjdk/jre/bin/../lib/i386/client/libjvm.so
(gdb)
Continuing.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb75e9b70 (LWP 8981)]
0x01930437 in ?? ()
(gdb) cont
Continuing.
[New Thread 0xb71d1b70 (LWP 8982)]
[New Thread 0xb6f70b70 (LWP 8983)]
[New Thread 0xb6f10b70 (LWP 8984)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb7fdc6c0 (LWP 8955)]
0x012010f1 in ?? () from /usr/li...

Read more...

I'm experiencing this problem too in a fresh install of Lucid beta2 with all updates done until now. Even disabling A.T. and setting GDK_NATIVE_WINDOWS=1 don't fix the problem. Eclipse freezes soon at the splash screen when it's showing the message "Loading workbench". The weirdest thing is that Eclipse have been working fine until I did some apt-get updates yesterday.

duno@meteoro:~$ eclipse
^C#
# A fatal error has been detected by the Java Runtime Environment:
#
# SIGSEGV (0xb) at pc=0x003b8c86, pid=2685, tid=90250096
#
# JRE version: 6.0_19-b04
# Java VM: Java HotSpot(TM) Client VM (16.2-b04 mixed mode, sharing linux-x86 )
# Problematic frame:
# C [libpango-1.0.so.0+0x23c86] pango_layout_new+0x36
#
# An error report file with more information is saved as:
# /home/duno/hs_err_pid2685.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Aborted (core dumped)

Célio Cidral Junior wrote:
> I'm experiencing this problem too in a fresh install of Lucid beta2 with
> all updates done until now. Even disabling A.T. and setting
> GDK_NATIVE_WINDOWS=1 don't fix the problem. Eclipse freezes soon at the
> splash screen when it's showing the message "Loading workbench". The
> weirdest thing is that Eclipse have been working fine until I did some
> apt-get updates yesterday.
>
> duno@meteoro:~$ eclipse
> ^C#
> # A fatal error has been detected by the Java Runtime Environment:
> #
> # SIGSEGV (0xb) at pc=0x003b8c86, pid=2685, tid=90250096
> #
> # JRE version: 6.0_19-b04
> # Java VM: Java HotSpot(TM) Client VM (16.2-b04 mixed mode, sharing linux-x86 )
> # Problematic frame:
> # C [libpango-1.0.so.0+0x23c86] pango_layout_new+0x36
> #
> # An error report file with more information is saved as:
> # /home/duno/hs_err_pid2685.log
> #
> # If you would like to submit a bug report, please visit:
> # http://java.sun.com/webapps/bugreport/crash.jsp
> # The crash happened outside the Java Virtual Machine in native code.
> # See problematic frame for where to report the bug.
> #
> Aborted (core dumped)
>

Hi

Could you please attach /home/duno/hs_err_pid2685.log to this bug?

~Niels

Niels Thykier (niels-thykier) wrote :

Célio Cidral Junior wrote:
> ** Attachment added: "hs_err_pid2685.log"
> http://launchpadlibrarian.net/44631974/hs_err_pid2685.log
>

Thanks,

Looking at the log, I can see that you are using a local eclipse and not
the one from Ubuntu. We cannot support versions of eclipse that we have
not uploaded.

Furthermore, you have swt libraries present in your ~/.eclipse. These
will cause problems if you change the eclipse or at next upstream release.
  Currently any Ubuntu installed eclipse will use the libraries in your
~/.eclipse and not the ones we provide. This means that some of the
Ubuntu patches will be ignored and may very well be the source of crashes.

~Niels

jbatista (jmnbatista) wrote :

Looking elsewhere, I happened to find a solution here:
https://www.digisoftinc.org/wiki/index.php/Linux_Notes#Eclipse_3.4_and_Ubuntu_9.10_Fix
It's not clear whether the author(s) discovered it by them/him/herself or whether copied+pasted from somewhere else.

For reference, it involves installing xulrunner and editing eclipse.ini, i.e.:
1. sudo apt-get install xulrunner
2. echo '-Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner' >>/usr/lib/eclipse/eclipse.ini

After doing these two steps, I restarted eclipse. The SIGSEGV on pressing the Cancel button on the Install new software ... menu no longer happens.

Please note: This solution is also reported in bug #393091

Jeff Lane (bladernr) wrote :

Invalid for Karmic. Fix Released upstream but since Karmic is EOL, there's no need to keep this open there.

Changed in eclipse (Ubuntu Karmic):
status: New → Invalid
Changed in openjdk-6 (Ubuntu Karmic):
status: New → Invalid
Changed in eclipse (Fedora):
importance: Unknown → High
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.